# Uses of Class
org.xnio.channels.SocketAddressBuffer

Packages that use SocketAddressBuffer
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of SocketAddressBuffer in org.xnio.channels

Methods in org.xnio.channels with parameters of type SocketAddressBuffer
Modifier and Type
Method
Description
`int`
ReadableMultipointMessageChannel.`receiveFrom(SocketAddressBuffer addressBuffer, ByteBuffer buffer)`
Receive a message via this channel.
`long`
ReadableMultipointMessageChannel.`receiveFrom(SocketAddressBuffer addressBuffer, ByteBuffer[] buffers)`
Receive a message.
`long`
ReadableMultipointMessageChannel.`receiveFrom(SocketAddressBuffer addressBuffer, ByteBuffer[] buffers, int offs, int len)`
Receive a message.